---
lang: en
title: 'API docs: openapi-v3.jsonorbooleantojson'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.openapi-v3.jsonorbooleantojson.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [jsonOrBooleanToJSON](./openapi-v3.jsonorbooleantojson.md)

## jsonOrBooleanToJSON() function

Helper function used to interpret boolean values as JSON Schemas. See http://json-schema.org/draft-06/json-schema-release-notes.html

<b>Signature:</b>

```typescript
export declare function jsonOrBooleanToJSON(jsonOrBool: boolean | JsonSchema): JsonSchema;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  jsonOrBool | <code>boolean &#124; JsonSchema</code> | converts boolean values into their representative JSON Schemas |

<b>Returns:</b>

`JsonSchema`

A JSON Schema document representing the input value.


